Skip to main content

Attachment Upload

POST 

/b/checkout/v1/upload-attachment/

Upload a file, attach it to a transaction if session_id or order_no is provided and shorify if shortify_attachment_url is true.

Permissions​

Auth MethodRequired Permissions
API KeyAll permissions (admin access)
Basic AuthCan add payment requests or Can add e-commerce payments
curl --location 'https://sandbox.ottu.net/b/checkout/v1/upload-attachment/' \
--header 'Content-Type: multipart/form-data' \
--header 'Accept: application/json' \
--header 'Authorization: Api-Key YOUR_API_KEY' \
--form 'file=@"/path/to/file"' \
--form 'shortify_attachment_url="false"' \
--form 'order_no="<string>"' \
--form 'session_id="<string>"'

Request​

Responses​